
Application: gvSIG desktop - gvSIG bugs #5223
Unión entre Tabla de un shp y CSV da error. Al importar campos corrompe el shape
04/17/2020 12:09 PM - Álvaro Anguix

Status: Closed % Done: 100%
Priority: Urgent Spent time: 0.00 hour
Assignee: Francisco Díaz Carsí
Category: Document table
Target version: 2.5.1-3022
Severity: Minor Add-on version:
gvSIG version: 2.5.1 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

- Tengo un shapefile (Avistamientos.shp adjunto como zip) y un CSV (Avist.csv como tabla).
- Pruebo a hacer unión por el campo ID (del Shape) y Avistamien (del CSV). gvSIG Lanza un error.

Ahora pruebo con los mismos datos a hacer una importación de campos, ya que no ha funcionado la unión.
- Selecciono la tabla del shp y campo ID como tabla a la que importar
- Selecciono el CSV y el cammpo Avistamien y varios campos de los que tiene para importar.
- Da error y se carga el shape, que deja de estar usable.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 5222: Exportar CSV a DBF... Closed 04/17/2020
Related to Application: gvSIG desktop - gvSIG bugs # 5242: Falla al cargar un... Closed 04/26/2020

Associated revisions
Revision 44927 - 04/19/2020 12:28 PM - Joaquín  del Cerro Murciano

refs #5223, añadido soporte para indoces en memoria sobre campos de tipo BigDecimal

Revision 45002 - 05/04/2020 07:21 AM - Francisco Díaz Carsí

refs #5223 Fixed scale setting when add feature type in JoinTransform

History
#1 - 04/17/2020 12:09 PM - Álvaro Anguix
- Related to gvSIG bugs #5222: Exportar CSV a DBF genera tabla vacía added

#2 - 04/17/2020 12:16 PM - Álvaro Anguix
- File logs_tras_union.zip added
- File logs_tras_importar_campos.zip added

#3 - 04/18/2020 10:25 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3044 to 2.5.1-3016

#4 - 04/19/2020 12:29 PM - Joaquín  del Cerro Murciano

05/16/2024 1/4



- Target version changed from 2.5.1-3016 to 2.5.1-3017

#5 - 04/19/2020 12:31 PM - Joaquín  del Cerro Murciano

He arreglado el error que daba al hacer la union. No estaba creado el soporte para indoces sobre campos de tipo Decimal. 
Despues de esto ya no falla al hacer la union pero me ha dejado los campos de union en blanco. No se si hay algun otro error o es que no he hecho
algo bien al hacer la union.

#6 - 04/19/2020 12:32 PM - Joaquín  del Cerro Murciano
- Assignee set to Joaquín  del Cerro Murciano

#7 - 04/19/2020 11:53 PM - Álvaro Anguix
- Category set to Document table

#8 - 04/20/2020 10:09 AM - Álvaro Anguix
- File gvSIG.log added
- File 01.png added

Sí, la unión la hace pero el resultado tiene los campos añadidos vacíos (y no debería). 
Adjunto una imagen con el resultado, en la que se puede observar otro efecto, que igual tiene algo que ver:
- Las 2 tablas (la del shape original y la del csv) tienen los campos numéricos tipo decimal.
- La tabla del shape unión los ha convertido a integer, eliminando todos los decimales (que eran ceros)

Adjunto log

#9 - 04/20/2020 10:12 AM - Álvaro Anguix

Por cierto, la importación de campos SÍ la hace bien en el build 3016.

#10 - 04/21/2020 12:11 PM - Álvaro Anguix

He probado con otro shape y CSV y hace lo mismo de convertir a integer. El shape tenía campos Area y Perimeter con decimales y en el shape de
unión que genera se convierten automáticamente en integer

#11 - 04/24/2020 03:45 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3017 to 2.5.1-3019-RC1 (rev. org.gvsig.desktop-2.0.278)

#12 - 04/25/2020 07:47 PM - Álvaro Anguix
- File gvSIG.log added

El el 3017 ha dejado de poder abrirse el CSV del ejemplo (Avist.csv). Adjunto log

#13 - 04/26/2020 01:02 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3019-RC1 (rev. org.gvsig.desktop-2.0.278) to 2.5.1-3042-RC2

#14 - 04/26/2020 08:55 PM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #5242: Falla al cargar un CSV. added

#15 - 04/27/2020 08:59 AM - Álvaro Anguix

El comentario que indicaba que el CSV no se abría, en la RC1 ya se ha solventado.

#16 - 04/27/2020 09:52 AM - Francisco Díaz Carsí
- Assignee changed from Joaquín  del Cerro Murciano to Francisco Díaz Carsí
- Status changed from New to In progress

#17 - 04/27/2020 02:51 PM - Francisco Díaz Carsí
- % Done changed from 0 to 100
- Status changed from In progress to Fixed

Arreglado, pero al hacer el commit me he dado cuenta de que no he puesto la referencia a la revisión del svn, la cual es: r44978.

#18 - 04/27/2020 04:00 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3042-RC2 to 2.5.1-3020

#19 - 04/30/2020 04:48 PM - Álvaro Anguix
- Status changed from Fixed to New
- File a1.png added

La unión funciona, pero convierte los campos originales a integer (prueba realizada con el shape y csv que lleva adjunta la entrada)
Adjunto captura de pantalla donde se ve esto que comento

#20 - 05/01/2020 01:12 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3020 to 2.5.1-3022

#21 - 05/04/2020 06:44 AM - Francisco Díaz Carsí
- % Done changed from 100 to 50

#22 - 05/04/2020 06:44 AM - Francisco Díaz Carsí
- Status changed from New to In progress

#23 - 05/04/2020 07:22 AM - Francisco Díaz Carsí
- % Done changed from 50 to 100
- Status changed from In progress to Fixed

#24 - 05/09/2020 04:07 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
Avistamientos.zip 3.66 KB 04/17/2020 Álvaro Anguix
Avist.csv 2.34 KB 04/17/2020 Álvaro Anguix
logs_tras_union.zip 67 KB 04/17/2020 Álvaro Anguix
logs_tras_importar_campos.zip 68.7 KB 04/17/2020 Álvaro Anguix
01.png 100 KB 04/20/2020 Álvaro Anguix
gvSIG.log 430 KB 04/20/2020 Álvaro Anguix
gvSIG.log 426 KB 04/25/2020 Álvaro Anguix
a1.png 95.1 KB 04/30/2020 Álvaro Anguix
